[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.EditingAllowed

Indicates if the grid and specified column allow editing.

## Declaration

Source position: grids.pas line 1078

`protected function TCustomGrid.EditingAllowed(`
`ACol: Integer = - 1`
`):Boolean; virtual;`

## Arguments

`ACol` |  | Column number examined in the method.

## Function result

Returns True if both the grid and the current column allow editing.

## Description

Returns True if both the grid and the specified column allow editing. The return value is True when all of the following conditions are satisfied:

- goEditing is included in the Options property
- ACol contains a valid column index
- RowCount has a value larger than the value in FixedRows
- The Columns collection has been Enabled (contains at least one visible column)
- A TGridColumn instance exists for the column index in ACol
- The TGridColumn instance is not marked as read-only